Update user profile.
USER: true SERVICE ACCOUNT: false
curl --request POST \
--url https://api.revoengine.com/api/v1/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Avery"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Avery'})
};
fetch('https://api.revoengine.com/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/me"
payload = { "name": "Avery" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Body
Updated first name shown in the profile.
"Avery"
Updated last name shown in the profile.
"Morgan"
Updated phone number in international format.
"+48500100200"
Verification code required when the profile update must confirm ownership.
"842915"
Custom profile metadata stored with the account. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.
{
"locale": "pl-PL",
"timezone": "Europe/Warsaw"
}
Custom profile metadata stored with the account. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys. Top-level keys starting with "__" are reserved for backend use.
{
"locale": "pl-PL",
"timezone": "Europe/Warsaw"
}
Extended profile settings used by enterprise-specific integrations. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys.
{
"costCenter": "FIN-01",
"supportTier": "gold"
}
Extended profile settings used by enterprise-specific integrations. Maximum 16 KiB of UTF-8 JSON and 64 top-level keys.
{
"costCenter": "FIN-01",
"supportTier": "gold"
}
Partial global app-preferences patch stored on the account and merged with existing values.
Show child attributes
Show child attributes
{ "assistant": { "showProgress": true } }
Response
OK.
curl --request POST \
--url https://api.revoengine.com/api/v1/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Avery"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Avery'})
};
fetch('https://api.revoengine.com/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/me"
payload = { "name": "Avery" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
